# Uses of Class
java.lang.module.ResolvedModule

Packages that use ResolvedModule
Package
Description
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

## Uses of ResolvedModule in java.lang.module

Methods in java.lang.module that return types with arguments of type ResolvedModule
Modifier and Type
Method
Description
`Optional<ResolvedModule>`
Configuration.`findModule(String name)`
Finds a resolved module in this configuration, or if not in this configuration, the parent configurations.
`Set<ResolvedModule>`
Configuration.`modules()`
Returns an unmodifiable set of the resolved modules in this configuration.
`Set<ResolvedModule>`
ResolvedModule.`reads()`
Returns the set of resolved modules that this resolved module reads.